{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block body %}
    <div class="col-12 offset-0">
        {{ breadcrumbs() }}
    </div>

    <div class="mt-3 col-12 offset-0">
        <h1>{% block pageTitle %}Suppression des élus par lot{% endblock %}</h1>

        <div class="mt-4">
            {{ macro.backButton('user_index') }}
        </div>

        <div class="row">
            <div class="col-10 offset-1 mt-4">
                <table class="table table-striped bg-white">
                    <thead>
                    <tr class="d-flex">
                        <th class="col-1"></th>
                        <th class="col-3">Prénom</th>
                        <th class="col-3">Nom</th>
                        <th class="col-2">Profil</th>
                        <th class="col-3">Nom d'utilisateur</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for actor in actors %}
                        <tr class="d-flex ">
                            <td class="col-1 ">
                                <span class="form-check">
                                    <input type="checkbox" class="checkbox select-batch form-check-input"
                                           data-username="{{ actor.username }}"
                                           data-firstname="{{ actor.firstName }}"
                                           data-lastname="{{ actor.lastName }}"
                                           data-role="{{ actor.role.prettyName }}"
                                           value="{{ actor.id }}">
                                </span>
                            </td>
                            <td class="col-3">{{ actor.firstName }}</td>
                            <td class="col-3">{{ actor.lastName }}</td>
                            <td class="col-2">{{ actor.role.prettyName }}</td>
                            <td class="col-3">{{ actor.username }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>

                </table>

                <div class="float-end mt-3">
                    <a href="{{ path('user_index') }}" class="btn btn-link">
                        <span class="fa fa-times"></span> Annuler</a>

                    <button class="btn btn-danger" type="button" onclick="deleteAll()">
                        <span class="fa fa-trash-alt"></span>
                        Supprimer
                    </button>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="suppression de multiples utilisateurs" aria-hidden="true" data-bs-backdrop="static">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header align-items-start">
                        <h5 class="modal-title">Suppression d'élus et suppléants</h5>
                        <button type="button" class="btn-close" id="delete-batch-close-btn" data-bs-dismiss="modal" aria-label="Close" ></button>
                    </div>
                    <div class="modal-body">
                        <div class="infoToUser">
                            <div class="alert alert-danger">
                                <i class="fas fa-exclamation-triangle"></i> La suppression est un <b>processus irréversible.</b>
                            </div>

                            <p>La suppression d'un utilisateur entraînera également la suppression de ses données présentes dans les éléments
                                passés auxquels il était lié (anciennes séances, rapports pdf, etc...).
                            </p>
                            <p class="my-0">Êtes-vous certain de vouloir supprimer les utilisateurs sélectionnés ?</p>

                            <div class="mt-3  alert alert-soft-warning">
                                <label for="invalidateSinglePassword" class="form-label">
                                    <i class="fa fa-exclamation-triangle"></i>
                                    Merci de taper le mot <b>SUPPRIMER</b> afin de confirmer la suppression.
                                </label>
                                <div class="input-group mb-3">
                                    <input type="text" class="form-control" id="delete-batch-input" data-delete="SUPPRIMER">
                                </div>
                            </div>


                        </div>

                        <div id="addListUser" style="max-height: 50vh; overflow-y: auto;"></div>
                    </div>

                    <div id="user-list" style="height: 20px"></div>


                    <div class="modal-footer">
                        <button type="button" class="btn btn-link " id="cancel-delete-batch-btn" data-bs-dismiss="modal">
                            <span class="fa fa-times"></span> Annuler
                        </button>
                        <button type="submit" class="btn btn-danger" id="delete-batch-btn" disabled>
                            <span class="fa fa-trash-alt"></span>
                            Supprimer
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>


{% endblock %}



    {% block javascripts %}
        {{ encore_entry_script_tags('delete-user-batch') }}
        {{ encore_entry_script_tags('passphraseConfirmationBox') }}
    {% endblock %}

